package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 体检信息表对象 t_guiji_healthcommission_tjxx
 *
 * @author lei
 * @date 2021-11-09
 */
public class TGuijiHealthcommissionTjxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardid;

    /** 人员类型 */
    @Excel(name = "人员类型")
    private String persontype;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitname;

    /** 姓名 */
    @Excel(name = "姓名")
    private String username;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 民族 */
    @Excel(name = "民族")
    private String nature;

    /** 学历 */
    @Excel(name = "学历")
    private String education;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String cellphone;

    /** 工种 */
    @Excel(name = "工种")
    private String worktype;

    /** 工龄 */
    @Excel(name = "工龄")
    private String workage;

    /** 单位性质 */
    @Excel(name = "单位性质")
    private String unitnatrue;

    /** 照片地址 */
    @Excel(name = "照片地址")
    private String photourl;

    /** 营业执照图片地址 */
    @Excel(name = "营业执照图片地址")
    private String licenseurl;

    /** 添加日期 */
    @Excel(name = "添加日期")
    private String adddate;

    /** 预约时间 */
    @Excel(name = "预约时间")
    private String apptime;

    /** 资料审核 */
    @Excel(name = "资料审核")
    private String iChecked;

    /** 资料审核人 */
    @Excel(name = "资料审核人")
    private String iCheckuser;

    /** 信息审核 */
    @Excel(name = "信息审核")
    private String yChecked;

    /** 信息审核人 */
    @Excel(name = "信息审核人")
    private String yCheckuser;

    /** LEVlgM */
    @Excel(name = "LEVlgM")
    private String hLevlgm;

    /** 甲肝lgm */
    @Excel(name = "甲肝lgm")
    private String hJiagan;

    /** 血清丙氨酸氨基转移酶 */
    @Excel(name = "血清丙氨酸氨基转移酶")
    private String hXqzym;

    /** 痢疾杆菌 */
    @Excel(name = "痢疾杆菌")
    private String hLijiganjun;

    /** 伤寒副伤寒 */
    @Excel(name = "伤寒副伤寒")
    private String hShanghan;

    /** 梅毒 */
    @Excel(name = "梅毒")
    private String hMeidu;

    /** 艾滋 */
    @Excel(name = "艾滋")
    private String hHiv;

    /** 检验结论 */
    @Excel(name = "检验结论")
    private String hConclusion;

    /** 化验检查结果 */
    @Excel(name = "化验检查结果")
    private String hChecked;

    /** 化验检查人 */
    @Excel(name = "化验检查人")
    private String hCheckuser;

    /** 肝炎病史 */
    @Excel(name = "肝炎病史")
    private String tHasganyan;

    /** 肝炎患病时间 */
    @Excel(name = "肝炎患病时间")
    private String tGanyan;

    /** 伤寒病史 */
    @Excel(name = "伤寒病史")
    private String tHasshanghan;

    /** 伤寒患病时间 */
    @Excel(name = "伤寒患病时间")
    private String tShanghan;

    /** 痢疾病史 */
    @Excel(name = "痢疾病史")
    private String tHasliji;

    /** 痢疾患病时间 */
    @Excel(name = "痢疾患病时间")
    private String tLiji;

    /** 肺结核病史 */
    @Excel(name = "肺结核病史")
    private String tHasfeijiehe;

    /** 肺结核患病时间 */
    @Excel(name = "肺结核患病时间")
    private String tFeijiehe;

    /** 皮肤病病史 */
    @Excel(name = "皮肤病病史")
    private String tHaspifubing;

    /** 皮肤病患病时间 */
    @Excel(name = "皮肤病患病时间")
    private String tPifubing;

    /** 其他疾病 */
    @Excel(name = "其他疾病")
    private String tHasotherdisease;

    /** 其他疾病患病时间 */
    @Excel(name = "其他疾病患病时间")
    private String tOtherdisease;

    /** 心 */
    @Excel(name = "心")
    private String tXin;

    /** 肝 */
    @Excel(name = "肝")
    private String tGan;

    /** 脾 */
    @Excel(name = "脾")
    private String tPi;

    /** 肺 */
    @Excel(name = "肺")
    private String tFei;

    /** 皮肤 */
    @Excel(name = "皮肤")
    private String tPifu;

    /** 其他 */
    @Excel(name = "其他")
    private String tOther;

    /** X光检查结果 */
    @Excel(name = "X光检查结果")
    private String tX;

    /** X光现象 */
    @Excel(name = "X光现象")
    private String tPhenomenon;

    /** X光审核 */
    @Excel(name = "X光审核")
    private String xChecked;

    /** X光审核人 */
    @Excel(name = "X光审核人")
    private String xCheckuser;

    /** 体检结论 */
    @Excel(name = "体检结论")
    private String tConclusion;

    /** 检查结果 */
    @Excel(name = "检查结果")
    private String tChecked;

    /** 检查结果审核人 */
    @Excel(name = "检查结果审核人")
    private String tCheckuser;

    /** 采血审核 */
    @Excel(name = "采血审核")
    private String bChecked;

    /** 采血审核人 */
    @Excel(name = "采血审核人")
    private String bCheckuser;

    /** 查体审核 */
    @Excel(name = "查体审核")
    private String cChecked;

    /** 查体审核人 */
    @Excel(name = "查体审核人")
    private String cCheckuser;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setCardid(String cardid)
    {
        this.cardid = cardid;
    }

    public String getCardid()
    {
        return cardid;
    }
    public void setPersontype(String persontype)
    {
        this.persontype = persontype;
    }

    public String getPersontype()
    {
        return persontype;
    }
    public void setUnitname(String unitname)
    {
        this.unitname = unitname;
    }

    public String getUnitname()
    {
        return unitname;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAge(String age)
    {
        this.age = age;
    }

    public String getAge()
    {
        return age;
    }
    public void setNature(String nature)
    {
        this.nature = nature;
    }

    public String getNature()
    {
        return nature;
    }
    public void setEducation(String education)
    {
        this.education = education;
    }

    public String getEducation()
    {
        return education;
    }
    public void setCellphone(String cellphone)
    {
        this.cellphone = cellphone;
    }

    public String getCellphone()
    {
        return cellphone;
    }
    public void setWorktype(String worktype)
    {
        this.worktype = worktype;
    }

    public String getWorktype()
    {
        return worktype;
    }
    public void setWorkage(String workage)
    {
        this.workage = workage;
    }

    public String getWorkage()
    {
        return workage;
    }
    public void setUnitnatrue(String unitnatrue)
    {
        this.unitnatrue = unitnatrue;
    }

    public String getUnitnatrue()
    {
        return unitnatrue;
    }
    public void setPhotourl(String photourl)
    {
        this.photourl = photourl;
    }

    public String getPhotourl()
    {
        return photourl;
    }
    public void setLicenseurl(String licenseurl)
    {
        this.licenseurl = licenseurl;
    }

    public String getLicenseurl()
    {
        return licenseurl;
    }
    public void setAdddate(String adddate)
    {
        this.adddate = adddate;
    }

    public String getAdddate()
    {
        return adddate;
    }
    public void setApptime(String apptime)
    {
        this.apptime = apptime;
    }

    public String getApptime()
    {
        return apptime;
    }
    public void setiChecked(String iChecked)
    {
        this.iChecked = iChecked;
    }

    public String getiChecked()
    {
        return iChecked;
    }
    public void setiCheckuser(String iCheckuser)
    {
        this.iCheckuser = iCheckuser;
    }

    public String getiCheckuser()
    {
        return iCheckuser;
    }
    public void setyChecked(String yChecked)
    {
        this.yChecked = yChecked;
    }

    public String getyChecked()
    {
        return yChecked;
    }
    public void setyCheckuser(String yCheckuser)
    {
        this.yCheckuser = yCheckuser;
    }

    public String getyCheckuser()
    {
        return yCheckuser;
    }
    public void sethLevlgm(String hLevlgm)
    {
        this.hLevlgm = hLevlgm;
    }

    public String gethLevlgm()
    {
        return hLevlgm;
    }
    public void sethJiagan(String hJiagan)
    {
        this.hJiagan = hJiagan;
    }

    public String gethJiagan()
    {
        return hJiagan;
    }
    public void sethXqzym(String hXqzym)
    {
        this.hXqzym = hXqzym;
    }

    public String gethXqzym()
    {
        return hXqzym;
    }
    public void sethLijiganjun(String hLijiganjun)
    {
        this.hLijiganjun = hLijiganjun;
    }

    public String gethLijiganjun()
    {
        return hLijiganjun;
    }
    public void sethShanghan(String hShanghan)
    {
        this.hShanghan = hShanghan;
    }

    public String gethShanghan()
    {
        return hShanghan;
    }
    public void sethMeidu(String hMeidu)
    {
        this.hMeidu = hMeidu;
    }

    public String gethMeidu()
    {
        return hMeidu;
    }
    public void sethHiv(String hHiv)
    {
        this.hHiv = hHiv;
    }

    public String gethHiv()
    {
        return hHiv;
    }
    public void sethConclusion(String hConclusion)
    {
        this.hConclusion = hConclusion;
    }

    public String gethConclusion()
    {
        return hConclusion;
    }
    public void sethChecked(String hChecked)
    {
        this.hChecked = hChecked;
    }

    public String gethChecked()
    {
        return hChecked;
    }
    public void sethCheckuser(String hCheckuser)
    {
        this.hCheckuser = hCheckuser;
    }

    public String gethCheckuser()
    {
        return hCheckuser;
    }
    public void settHasganyan(String tHasganyan)
    {
        this.tHasganyan = tHasganyan;
    }

    public String gettHasganyan()
    {
        return tHasganyan;
    }
    public void settGanyan(String tGanyan)
    {
        this.tGanyan = tGanyan;
    }

    public String gettGanyan()
    {
        return tGanyan;
    }
    public void settHasshanghan(String tHasshanghan)
    {
        this.tHasshanghan = tHasshanghan;
    }

    public String gettHasshanghan()
    {
        return tHasshanghan;
    }
    public void settShanghan(String tShanghan)
    {
        this.tShanghan = tShanghan;
    }

    public String gettShanghan()
    {
        return tShanghan;
    }
    public void settHasliji(String tHasliji)
    {
        this.tHasliji = tHasliji;
    }

    public String gettHasliji()
    {
        return tHasliji;
    }
    public void settLiji(String tLiji)
    {
        this.tLiji = tLiji;
    }

    public String gettLiji()
    {
        return tLiji;
    }
    public void settHasfeijiehe(String tHasfeijiehe)
    {
        this.tHasfeijiehe = tHasfeijiehe;
    }

    public String gettHasfeijiehe()
    {
        return tHasfeijiehe;
    }
    public void settFeijiehe(String tFeijiehe)
    {
        this.tFeijiehe = tFeijiehe;
    }

    public String gettFeijiehe()
    {
        return tFeijiehe;
    }
    public void settHaspifubing(String tHaspifubing)
    {
        this.tHaspifubing = tHaspifubing;
    }

    public String gettHaspifubing()
    {
        return tHaspifubing;
    }
    public void settPifubing(String tPifubing)
    {
        this.tPifubing = tPifubing;
    }

    public String gettPifubing()
    {
        return tPifubing;
    }
    public void settHasotherdisease(String tHasotherdisease)
    {
        this.tHasotherdisease = tHasotherdisease;
    }

    public String gettHasotherdisease()
    {
        return tHasotherdisease;
    }
    public void settOtherdisease(String tOtherdisease)
    {
        this.tOtherdisease = tOtherdisease;
    }

    public String gettOtherdisease()
    {
        return tOtherdisease;
    }
    public void settXin(String tXin)
    {
        this.tXin = tXin;
    }

    public String gettXin()
    {
        return tXin;
    }
    public void settGan(String tGan)
    {
        this.tGan = tGan;
    }

    public String gettGan()
    {
        return tGan;
    }
    public void settPi(String tPi)
    {
        this.tPi = tPi;
    }

    public String gettPi()
    {
        return tPi;
    }
    public void settFei(String tFei)
    {
        this.tFei = tFei;
    }

    public String gettFei()
    {
        return tFei;
    }
    public void settPifu(String tPifu)
    {
        this.tPifu = tPifu;
    }

    public String gettPifu()
    {
        return tPifu;
    }
    public void settOther(String tOther)
    {
        this.tOther = tOther;
    }

    public String gettOther()
    {
        return tOther;
    }
    public void setTX(String tX)
    {
        this.tX = tX;
    }

    public String getTX()
    {
        return tX;
    }
    public void settPhenomenon(String tPhenomenon)
    {
        this.tPhenomenon = tPhenomenon;
    }

    public String gettPhenomenon()
    {
        return tPhenomenon;
    }
    public void setxChecked(String xChecked)
    {
        this.xChecked = xChecked;
    }

    public String getxChecked()
    {
        return xChecked;
    }
    public void setxCheckuser(String xCheckuser)
    {
        this.xCheckuser = xCheckuser;
    }

    public String getxCheckuser()
    {
        return xCheckuser;
    }
    public void settConclusion(String tConclusion)
    {
        this.tConclusion = tConclusion;
    }

    public String gettConclusion()
    {
        return tConclusion;
    }
    public void settChecked(String tChecked)
    {
        this.tChecked = tChecked;
    }

    public String gettChecked()
    {
        return tChecked;
    }
    public void settCheckuser(String tCheckuser)
    {
        this.tCheckuser = tCheckuser;
    }

    public String gettCheckuser()
    {
        return tCheckuser;
    }
    public void setbChecked(String bChecked)
    {
        this.bChecked = bChecked;
    }

    public String getbChecked()
    {
        return bChecked;
    }
    public void setbCheckuser(String bCheckuser)
    {
        this.bCheckuser = bCheckuser;
    }

    public String getbCheckuser()
    {
        return bCheckuser;
    }
    public void setcChecked(String cChecked)
    {
        this.cChecked = cChecked;
    }

    public String getcChecked()
    {
        return cChecked;
    }
    public void setcCheckuser(String cCheckuser)
    {
        this.cCheckuser = cCheckuser;
    }

    public String getcCheckuser()
    {
        return cCheckuser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("cardid", getCardid())
            .append("persontype", getPersontype())
            .append("unitname", getUnitname())
            .append("username", getUsername())
            .append("sex", getSex())
            .append("age", getAge())
            .append("nature", getNature())
            .append("education", getEducation())
            .append("cellphone", getCellphone())
            .append("worktype", getWorktype())
            .append("workage", getWorkage())
            .append("unitnatrue", getUnitnatrue())
            .append("photourl", getPhotourl())
            .append("licenseurl", getLicenseurl())
            .append("adddate", getAdddate())
            .append("apptime", getApptime())
            .append("iChecked", getiChecked())
            .append("iCheckuser", getiCheckuser())
            .append("yChecked", getyChecked())
            .append("yCheckuser", getyCheckuser())
            .append("hLevlgm", gethLevlgm())
            .append("hJiagan", gethJiagan())
            .append("hXqzym", gethXqzym())
            .append("hLijiganjun", gethLijiganjun())
            .append("hShanghan", gethShanghan())
            .append("hMeidu", gethMeidu())
            .append("hHiv", gethHiv())
            .append("hConclusion", gethConclusion())
            .append("hChecked", gethChecked())
            .append("hCheckuser", gethCheckuser())
            .append("tHasganyan", gettHasganyan())
            .append("tGanyan", gettGanyan())
            .append("tHasshanghan", gettHasshanghan())
            .append("tShanghan", gettShanghan())
            .append("tHasliji", gettHasliji())
            .append("tLiji", gettLiji())
            .append("tHasfeijiehe", gettHasfeijiehe())
            .append("tFeijiehe", gettFeijiehe())
            .append("tHaspifubing", gettHaspifubing())
            .append("tPifubing", gettPifubing())
            .append("tHasotherdisease", gettHasotherdisease())
            .append("tOtherdisease", gettOtherdisease())
            .append("tXin", gettXin())
            .append("tGan", gettGan())
            .append("tPi", gettPi())
            .append("tFei", gettFei())
            .append("tPifu", gettPifu())
            .append("tOther", gettOther())
            .append("tX", getTX())
            .append("tPhenomenon", gettPhenomenon())
            .append("xChecked", getxChecked())
            .append("xCheckuser", getxCheckuser())
            .append("tConclusion", gettConclusion())
            .append("tChecked", gettChecked())
            .append("tCheckuser", gettCheckuser())
            .append("bChecked", getbChecked())
            .append("bCheckuser", getbCheckuser())
            .append("cChecked", getcChecked())
            .append("cCheckuser", getcCheckuser())
            .toString();
    }
}
